

#define TSSH_MAX_CHANNEL_PACKET_SIZE (1<<18)
#define TSSH_INIT_WINDOW_SIZE (1<<24)
#define TSSH_CHANNEL_PENDING_MAX   (1<<24)

//
// this is the number of header bytes in a CHANNEL_DATA message:
//  0 :  uint32      length for packet
//  4 :  uint8       length of padding
//  5 :  uint8       message code (SSH_CHANNEL_DATA)
//  6 :  uint32      remote channel number
// 10 :  uint32      length of data (data encoded as a string)
// 14 :   .. data ..
#define TSSH_CHANNEL_DATA_HDRSIZE  14
