

int tssh_event_fd(tssh_t *T)
{
  return T->iface_fds[0];
}


static void tssh_report_channel(tssh_t *T, int type, tssh_channel_t *ch)
{
  tssh_event_t *ev;
  ev= tssh_event_new(type);
  ev->channel= ch;
  tssh_report(T, ev);
}

static void tssh_report_int(tssh_t *T, int type, uint32_t value)
{
  tssh_event_t *ev;
  ev= tssh_event_new(type);
  ev->D.ival= value;
  tssh_report(T, ev);
}                 

static void tssh_free_finfos(tssh_fileinfo_t *finfos, int nfinfos)
{
  int i;
  for(i=0;i<nfinfos;i++)
    free(finfos[i].name);
  free(finfos);
}


