

static int tssh_msg_global_request_success(tssh_t *T, tssh_buffer_t *pb)
{
  int type; uint32_t iv; void *pv;
  tssh_get_global_request(T, &type, &pv, &iv);
  switch(type)
  {
   case TSSH_GR_PORT_FORWARD: 
     return tssh_port_forward_success(T, iv, pb);
  }
  return 0;
}

static int tssh_msg_global_request_failure(tssh_t *T, tssh_buffer_t *pb)
{
  int type; uint32_t iv; void *pv;
  tssh_get_global_request(T, &type, &pv, &iv);
  switch(type)
  {
   case TSSH_GR_PORT_FORWARD: 
     return tssh_port_forward_failure(T, iv);
  }
  return 0;
}
