


static tssh_event_t *tssh_event_new(int type);
static void tssh_event_free(tssh_event_t *E);
static void tssh_report(tssh_t *T, tssh_event_t *ptr);



static uint32_t tssh_outbound_channel_data_packet_size
    (uint32_t oQ, uint32_t data_len, uint8_t *Rpadding);

static int tssh_forward_channel_write(tssh_t *T, tssh_channel_t *ch) ;

static int tssh_ftp_channel_data(tssh_t *T, tssh_buffer_t *pb);
static void tssh_ftp_channel_closed(tssh_t *T);


static void tssh_ftp_main(tssh_t *T);
static int tssh_forward_ftp_write(tssh_t *T);
static void tssh_free_finfos(tssh_fileinfo_t *finfos, int nfinfos);
static void tssh_ftop_free(tssh_ftop_t *op) ;
