
static void tssh_record_global_request
   (tssh_t *T, int type, void *pval, uint32_t ival)
{
  tssh_global_request_t *gr;
  gr= calloc(1,sizeof(*gr));
  gr->type= type;
  gr->pval1= pval;
  gr->ival1= ival;
  if (!T->gr_first) T->gr_first= gr;
               else T->gr_last->next= gr;
  T->gr_last= gr;
}

static int tssh_get_global_request
   (tssh_t *T, int *Rtype, void **Rpval, uint32_t *Rival)
{
  tssh_global_request_t *gr;
  gr= T->gr_first;
  if (!gr) return 1;
  if (Rtype) *Rtype= gr->type;
  if (Rpval) *Rpval= gr->pval1;
  if (Rival) *Rival= gr->ival1;
  T->gr_first= gr->next;
  if (!T->gr_first) T->gr_last= NULL;
  free(gr);
  return 0;
}

